# How to Cite Casanovo

When using Casanovo in your research, please cite the relevant scientific publications to acknowledge the work and contributions behind the tool.
Below, you will find detailed information on how to cite Casanovo, including citations for its various versions and functionalities.

For general use of Casanovo, please cite the following paper:

Yilmaz, M., Fondrie, W. E., Bittremieux, W., Oh, S. & Noble, W. S. *De novo* mass spectrometry peptide sequencing with a transformer model. in *Proceedings of the 39th International Conference on Machine Learning - ICML '22* vol. 162 25514–25522 (PMLR, 2022). [https://proceedings.mlr.press/v162/yilmaz22a.html](https://proceedings.mlr.press/v162/yilmaz22a.html)

In addition, you may wish to cite one or more of these additional publications, depending on relevance to your work.

- For improved performance of Casanovo by training on the MassIVE-KB data and applications in immunopeptidomics, metaproteomics, and the dark human proteome (Casanovo v4.x):  
Yilmaz, M., Fondrie, W. E., Bittremieux, W., Melendez, C.F., Nelson, R., Ananth, V., Oh, S. & Noble, W. S. Sequence-to-sequence translation from mass spectra to peptides with a transformer model. in *Nature Communications* **15**, 6427 (2024). [doi:10.1038/s41467-024-49731-x](https://doi.org/10.1038/s41467-024-49731-x)

- For work involving Casanovo's enhanced performance on tryptic and non-tryptic data (Casanovo v4.2.x):  
Melendez, C., Sanders, J., Yilmaz, M., Bittremieux, W., Fondrie, W. E., Oh, S. & Noble, W. S. Accounting for digestion enzyme bias in Casanovo. in *Journal of Proteome Research* **23**, 4761–4769 (2024). [doi:10.1021/acs.jproteome.4c00422](https://doi.org/10.1021/acs.jproteome.4c00422)

- For using Casanovo as a learned score function for sequence database searching (Casanovo-DB):  
Ananth, V., Sanders, J., Yilmaz, M., Wen, B., Oh, S. & Noble, W. S. A learned score function improves the power of mass spectrometry database search. in *Bioinformatics* **40**, i410–i417 (2024). [doi:10.1093/bioinformatics/btae218](https://doi.org/10.1093/bioinformatics/btae218)

## Notes for Citation

- Always ensure you are citing the correct version or functionality of Casanovo relevant to your use case.
- If you have questions about how to cite Casanovo in specific scenarios, feel free to reach out to the Casanovo community or maintainers.

By citing Casanovo appropriately, you help support the ongoing development and innovation of this open-source tool.
Thank you for contributing to the community.
