# Casanovo

**_De Novo_ Mass Spectrometry Peptide Sequencing with a Transformer Model**

![image](https://user-images.githubusercontent.com/32707537/152622912-ca87da20-a64c-4e3f-9ca1-721c6b0d9c64.png)

Casanovo is a state-of-the-art deep learning tool designed for _de novo_ peptide sequencing.
Powered by a transformer neural network, Casanovo "translates" peaks in MS/MS spectra into amino acid sequences with remarkable precision.
Casanovo can be used for to find unexpected peptide sequences in any data-dependent acquisition, bottom-up tandem mass spectrometry dataset, and is particularly useful for immunopeptidomics, metaproteomics, paleoproteomics, venomics, or any setting in which you are interested in identifying peptides that may not be in your protein database.

Why choose Casanovo?

- Unmatched accuracy: Cutting-edge AI ensures precise and reliable peptide sequencing, even in challenging datasets.
- Open-source innovation: Freely available and easy to integrate into existing visualization workflows.
- Actively maintained: Join a growing network of researchers and developers to stay at the forefront of technology.

```{toctree}
---
hidden: true
maxdepth: 1
---
Getting Started <getting_started.md>
File Formats <file_formats.md>
Nextflow Workflow <nextflow.md>
FAQs <faq.md>
Citing <cite.md>
Contributing <CONTRIBUTING.md>
Code of Conduct <CODE_OF_CONDUCT.md>
Changelog <CHANGELOG.md>
```
